Index: opeflx.f
===================================================================
--- opeflx.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ opeflx.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,53 +1,34 @@
-! **************************************************************
-!
-! This file contains the subroutines: opeflx,gdtflx
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: opeflx,gdtflx
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine opeflx(nml)
 
-! ......................................................................
-! PURPOSE: Calculate internal energy for FLEX dataset and its partial
-!          derivatives vs. variables using recursive algorithm from:
-!          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
-!          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
-!          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
-!          for atomic forces instead of simple derivatives (see Lavery R,
-!          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
-!          989-1014 1986)
-!
-! CALLS:   gdtflx
-! ......................................................................
+c ......................................................................
+c PURPOSE: Calculate internal energy for FLEX dataset and its partial
+c          derivatives vs. variables using recursive algorithm from:
+c          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
+c          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
+c          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
+c          for atomic forces instead of simple derivatives (see Lavery R,
+c          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
+c          989-1014 1986)
+c
+c CALLS:   gdtflx
+c ......................................................................
 
       include 'INCL.H'
 
-      integer nml
-      
-      double precision enyflx
-      
-      integer ims, i1a, i14, i1, i, i1s, i2s, i2, i2a, j, io, ifivr
-      integer iad, ia, ib, ic, ilavr, ijhb, iowh, it, ity, iv, ivw, jty
-      integer jowh, lad, ntlvr
-      double precision cqi,c, ep, e0, deyds, cqiqj, eynw, eyol, deel
-      double precision ex, cth, dhb, deyrp, eel, eyds, ey, eyrp, ez
-      double precision fvr, hhb, gda, gdn, vrn, p, py, px, pz, yfiv
-      
-      double precision rij6, rij12, rij, rij2, sr, sr2, vr, xti
-      double precision xb, xj, xfriv, xfiv, xfi, xfji, xij, xi, xsr
-      double precision yb, yfi, yfji, yfriv, yi, yij, yj, zfi, yti
-      double precision zb, zfiv, zfji, zfriv, zij, zi, zj, zti, del
-  
-      
-      double precision xfat, yfat, zfat, xtat, ytat, ztat, xfvr, yfvr
-      double precision zfvr, xfrvr, yfrvr, zfrvr
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
-     &          xtat(mxat),ytat(mxat),ztat(mxat),
-     &          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
-     &          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
+     #          xtat(mxat),ytat(mxat),ztat(mxat),
+     #          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
+     #          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
 
 
@@ -60,6 +41,6 @@
       ntlvr=nvrml(nml)
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' opeflx> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' opeflx> No variables defined in molecule #',nml
         return
       endif
@@ -136,5 +117,5 @@
         endif
 
-! ============================================ Energies & Atomic forces
+c ============================================ Energies & Atomic forces
 
         xfiv=0.d0
@@ -268,5 +249,5 @@
                     yfji=yfji+ dhb*py+ hhb*yij
                     zfji=zfji+ dhb*pz+ hhb*zij
-! __________________________________________________ No Hydrogen Bond
+c __________________________________________________ No Hydrogen Bond
                   else
                     eyvw=eyvw+eyrp-eyds
@@ -384,5 +365,5 @@
                   yfji=yfji+ dhb*py+ hhb*yij
                   zfji=zfji+ dhb*pz+ hhb*zij
-! __________________________________________________ No Hydrogen Bond
+c __________________________________________________ No Hydrogen Bond
                 else
                   eyvw=eyvw+eyrp-eyds
@@ -443,6 +424,6 @@
 
           gdeyvr(iv)= (ey*zb-ez*yb)*xfiv+(ez*xb-ex*zb)*yfiv+
-     &                (ex*yb-ey*xb)*zfiv
-     &               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
+     #                (ex*yb-ey*xb)*zfiv
+     #               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
 
         elseif (it.eq.1) then         ! b.length
@@ -460,27 +441,22 @@
       return
       end
-! *****************************
+c *****************************
       subroutine gdtflx(nml,iv)
 
-! .....................................................................
-! PURPOSE: calculate partial derivative of internal energy for molecule
-!          'nml' vs. variable 'iv' NUMERICALLY and compare with
-!          its value obtained analytically
-!
-! CALLS:  setvar, enyflx
-! .....................................................................
+c .....................................................................
+c PURPOSE: calculate partial derivative of internal energy for molecule
+c          'nml' vs. variable 'iv' NUMERICALLY and compare with
+c          its value obtained analytically
+c
+c CALLS:  setvar, enyflx
+c .....................................................................
 
       include 'INCL.H'
 
-      integer nml, iv, it, i
-      double precision enyflx
-      
-      double precision del
       parameter (del=1.d-7)
 
-      double precision eynw, eyol, gda, gdn, ovr, vlvrx
       dimension vlvrx(mxvr)
 
-! ____________________________ get & save values of variables
+c ____________________________ get & save values of variables
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
         it=ityvr(i)  ! type
@@ -504,8 +480,8 @@
       gda=gdeyvr(iv)         ! analytical der.
 
-      write (logString, '(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
-     &       abs(gda-gdn),')'
-
-! _________________________ restore
+      write (*,'(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
+     #       abs(gda-gdn),')'
+
+c _________________________ restore
       vlvrx(iv)=ovr
       call setvar(nml,vlvrx)
Index: opereg.f
===================================================================
--- opereg.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ opereg.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,51 +1,42 @@
-! **************************************************************
-!
-! This file contains the subroutines: opereg,gdtgbl,gdtreg
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: opereg,gdtgbl,gdtreg
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine opereg(nml)
 
-! .......................................................................
-! PURPOSE: calculate regul. energy & it's partial derivatives
-!          for molecule 'nml' vs. variables 'iv'
-!
-!  NB: if the unit axis for an internal variable coincides with a
-!      global axis (i.e. for torsion or bond length variation round
-!      or along 'xrfax', respectively, and bd. angle var. round
-!      'zrfax'): VdW & 14 interaction partners of moving set atoms
-!      should be used for calculation, instead of the mov. sets,
-!      with opposite sign.
-!
-!      Example: By the the way the molecule-fixed system is set up,
-!               changes in Phi_1 affect atomic positions BEFORE the
-!               N-C^alpha bond relatively to the space-fixed system,
-!               not the moving set of Phi_1.
-!
-! CALLS:    gdtgbl, gdtreg
-! ......................................................................
+c .......................................................................
+c PURPOSE: calculate regul. energy & it's partial derivatives
+c          for molecule 'nml' vs. variables 'iv'
+c
+c  NB: if the unit axis for an internal variable coincides with a
+c      global axis (i.e. for torsion or bond length variation round
+c      or along 'xrfax', respectively, and bd. angle var. round
+c      'zrfax'): VdW & 14 interaction partners of moving set atoms
+c      should be used for calculation, instead of the mov. sets,
+c      with opposite sign.
+c
+c      Example: By the the way the molecule-fixed system is set up,
+c               changes in Phi_1 affect atomic positions BEFORE the
+c               N-C^alpha bond relatively to the space-fixed system,
+c               not the moving set of Phi_1.
+c
+c CALLS:    gdtgbl, gdtreg
+c ......................................................................
 
       include 'INCL.H'
       include 'INCP.H'
 
-      double precision xfvr, yfvr, zfvr, xfrvr, yfrvr, zfrvr, x1, y1, z1
-      double precision a, sa, ca, xk, yk, zk, xi, yi, zi, xji, yji, zji
-      double precision dx, dy, dz, x, y, z, xfat, yfat, zfat, xfrat
-      double precision yfrat, zfrat, xb, yb, zb, ex, ey, ez, xfiv, yfiv
-      double precision zfiv, xfriv, yfriv, zfriv
-
-      integer ntlvr, nml, ix2, ifivr, ilavr, i, ii, j, i1s, i1a, io, iv
-      integer it, ia, ib, i2s, ims, i1, i2, i2a, iad, lad, ivw, i14
-
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
-     &          xfrat(mxat),yfrat(mxat),zfrat(mxat),
-
-     &          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
-     &          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
+     #          xfrat(mxat),yfrat(mxat),zfrat(mxat),
+
+     #          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
+     #          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
 
       logical   lnb
@@ -54,6 +45,6 @@
       ntlvr=nvrml(nml)
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' opereg> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' opereg> No variables defined in molecule #',nml
         return
       endif
@@ -64,5 +55,5 @@
       ilavr=ifivr+ntlvr-1       ! last var. of 'nml'
 
-! --------------------------- initializations
+c --------------------------- initializations
       do i=ifivr,ilavr
         gdeyrg(i)=0.d0
@@ -109,5 +100,5 @@
 
           eyrg = eyrg + xji**2 + yji**2 + zji**2  ! The regularization energy is just
-                                                  ! the sum over the atom distances
+                                                  ! the sum over the atom distances 
                                                   ! squared.
 
@@ -116,5 +107,5 @@
           dz = 2.d0 * zji
 
-! =============================================== global pars.
+c =============================================== global pars.
 
           gdeygb(ii+1) = gdeygb(ii+1) - dx   ! d(E_ij) / d(x_i)
@@ -122,5 +113,5 @@
           gdeygb(ii+3) = gdeygb(ii+3) - dz   ! d(E_ij) / d(z_i)
 
-! -------------------------- r = r_i - r_1
+c -------------------------- r = r_i - r_1
           x = xi - x1
           y = yi - y1
@@ -132,7 +123,7 @@
 
           gdeygb(ii+6) = gdeygb(ii+6) +dx*(zk*y-yk*z)+dy*(xk*z-zk*x)  !  d(E_ij) / d(g)
-     &                                +dz*(yk*x-xk*y)
-
-! =============================================== for internal vars.
+     #                                +dz*(yk*x-xk*y)
+
+c =============================================== for internal vars.
 
           xfat(i) = dx
@@ -173,5 +164,5 @@
         zb=zat(ib)
 
-! ---------------------------------------- axis for var.
+c ---------------------------------------- axis for var.
 
         if (it.eq.3) then      ! torsion
@@ -288,6 +279,6 @@
 
           gdeyrg(iv)= (ey*zb-ez*yb)*xfiv+(ez*xb-ex*zb)*yfiv+
-     &                (ex*yb-ey*xb)*zfiv
-     &               +ex*xfriv+ey*yfriv+ez*zfriv
+     #                (ex*yb-ey*xb)*zfiv
+     #               +ex*xfriv+ey*yfriv+ez*zfriv
 
         elseif (it.eq.1) then         ! b.length
@@ -303,17 +294,13 @@
       return
       end
-! **************************
+c **************************
       subroutine gdtgbl(nml)
-!
-! CALLS: bldmol,enyreg
-!
-! -------------------------- gradtest for 'gbpr'
+C
+C CALLS: bldmol,enyreg
+c
+c -------------------------- gradtest for 'gbpr'
 
       include 'INCL.H'
 
-      double precision del, pro, gdn, enyreg
-
-      integer ii, nml, i
-
       parameter (del=1.d-7)
 
@@ -323,5 +310,5 @@
       do i = 1,6
 
-! ----------------------------- modify
+c ----------------------------- modify
         pro = gbpr(i,nml)
         gbpr(i,nml) = pro+del
@@ -330,7 +317,7 @@
         gdn = ( enyreg(nml) - eyrg ) / del
 
-        write (logString, *) ' Gb. var #',(ii+i),': ',gdeygb(ii+i),gdn,
-     &                                   abs(gdn-gdeygb(ii+i))
-! ----------------------------- restore
+        write (*,*) ' Gb. var #',(ii+i),': ',gdeygb(ii+i),gdn,
+     #                                   abs(gdn-gdeygb(ii+i))
+c ----------------------------- restore
         gbpr(i,nml) = pro
         call bldmol(nml)
@@ -340,26 +327,22 @@
       return
       end
-! *****************************
+c *****************************
       subroutine gdtreg(nml,iv)
 
-! .................................................................
-! PURPOSE: calculate partial derivative of reg. energy for molecule
-!          'nml' vs. variable 'iv' NUMERICALLY and compare with
-!          its value obtained analytically
-!
-! CALLS:  setvar, enyreg
-! .................................................................
+c .................................................................
+c PURPOSE: calculate partial derivative of reg. energy for molecule
+c          'nml' vs. variable 'iv' NUMERICALLY and compare with
+c          its value obtained analytically
+c
+c CALLS:  setvar, enyreg
+c .................................................................
 
       include 'INCL.H'
 
-      double precision del, vlvrx, ovr, eynw, enyreg, gdn, gda
-
-      integer i, it, iv, nml
-
       parameter (del=1.d-6)
 
       dimension vlvrx(mxvr)
 
-! ____________________________ get & save values of variables
+c ____________________________ get & save values of variables
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
         it=ityvr(i)  ! type
@@ -382,8 +365,8 @@
       gda=gdeyrg(iv)         ! analytical der.
 
-      write (logString, '(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
-     &       abs(gda-gdn),')'
-
-! _________________________ restore vars
+      write (*,'(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
+     #       abs(gda-gdn),')'
+
+c _________________________ restore vars
       vlvrx(iv)=ovr
       call setvar(nml,vlvrx)
Index: opeshe.f
===================================================================
--- opeshe.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ opeshe.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,44 +1,33 @@
-! **************************************************************
-!
-! This file contains the subroutines: opeshe,gdtshe
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: opeshe,gdtshe
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine opeshe(nml)
 
-! ......................................................................
-! PURPOSE: Calculate internal energy for ECEPP/3 dataset and its partial
-!          derivatives vs. variables using recursive algorithm from:
-!          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
-!          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
-!          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
-!          for atomic forces instead of simple derivatives (see Lavery R,
-!          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
-!          989-1014 1986)
-!
-! CALLS:   gdtshe 
-! ......................................................................
+c ......................................................................
+c PURPOSE: Calculate internal energy for ECEPP/3 dataset and its partial
+c          derivatives vs. variables using recursive algorithm from:
+c          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
+c          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
+c          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
+c          for atomic forces instead of simple derivatives (see Lavery R,
+c          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
+c          989-1014 1986)
+c
+c CALLS:   gdtshe 
+c ......................................................................
 
       include 'INCL.H'
-      
-      double precision eyds, c, cqi, e0, deel, eel, ep, ex, ey, eyrp, xb
-      double precision rij2, ez, fvr, rij, rij6, rij4, sr, sr2, vr, vrn
-      double precision xfat, xi, xfrvr, xfiv, xfi, xfji, xfriv, xfvr
-      double precision yfji, xsr, xij, yb, yfi, yfat, yfiv, zfriv, yi
-      double precision yfvr, yfriv, yfrvr, yij, zfat, zb, zfi, zfji
-      double precision zfiv, zfvr, zfrvr, zi, zij, del
-
-      integer nml, i, i2, i1, i1a, i14, i1s, i2s, i2a, iad, ia, ib, ic
-      integer ifivr, ilavr, ims, io, ity, it, iv, ivw, lad, j, jty
-      integer ntlvr
 
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
-     &          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
-     &          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
+     #          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
+     #          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
 
 
@@ -51,6 +40,6 @@
       ntlvr=nvrml(nml)
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' opeshe> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' opeshe> No variables defined in molecule #',nml
         return
       endif
@@ -127,5 +116,5 @@
         endif
 
-! ============================================ Energies & Atomic forces
+c ============================================ Energies & Atomic forces
 
         xfiv=0.d0
@@ -314,6 +303,6 @@
 
           gdeyvr(iv)= (ey*zb-ez*yb)*xfiv+(ez*xb-ex*zb)*yfiv+
-     &                (ex*yb-ey*xb)*zfiv
-     &               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
+     #                (ex*yb-ey*xb)*zfiv
+     #               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
 
         elseif (it.eq.1) then         ! b.length
@@ -331,29 +320,22 @@
       return
       end
-! *****************************
+c *****************************
       subroutine gdtshe(nml,iv)
 
-! .....................................................................
-! PURPOSE: calculate partial derivative of internal energy for molecule
-!          'nml' vs. variable 'iv' NUMERICALLY and compare with
-!          its value obtained analytically
-!
-! CALLS:  setvar, enyshe
-! .....................................................................
+c .....................................................................
+c PURPOSE: calculate partial derivative of internal energy for molecule
+c          'nml' vs. variable 'iv' NUMERICALLY and compare with
+c          its value obtained analytically
+c
+c CALLS:  setvar, enyshe
+c .....................................................................
 
       include 'INCL.H'
-      
-      integer nml
-
-      double precision del, eynw, eyol, gda, gdn, ovr, vlvrx
-      double precision enyshe
-
-      integer iv, i, it
-      
+
       parameter (del=1.d-7)
 
       dimension vlvrx(mxvr)
 
-! ____________________________ get & save values of variables
+c ____________________________ get & save values of variables
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
         it=ityvr(i)  ! type
@@ -377,8 +359,8 @@
       gda=gdeyvr(iv)         ! analytical der.
 
-      write (logString, '(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
-     &       abs(gda-gdn),')'
-
-! _________________________ restore
+      write (*,'(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
+     #       abs(gda-gdn),')'
+
+c _________________________ restore
       vlvrx(iv)=ovr
       call setvar(nml,vlvrx)
Index: opesol.f
===================================================================
--- opesol.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ opesol.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,48 +1,41 @@
-! **************************************************************
-!
-! This file contains the subroutines:  opesol,gdtsol
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines:  opesol,gdtsol
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine opesol(nml)
 
-! ......................................................................
-! PURPOSE:  derivatives of solvatation energy vs. internal variables for
-!           molecule 'nml'
-!
-!  NB: if the unit axis for an internal variable coincides with a
-!      global axis (i.e. for torsion or bond length variation round
-!      or along 'xrfax', respectively, and bd. angle var. round
-!      'zrfax'): VdW & 14 interaction partners of moving set atoms
-!      should be used for calculation, instead of the mov. sets,
-!      with opposite sign.
-!
-!      Example: By the the way the molecule-fixed system is set up,
-!               changes in Phi_1 affect atomic positions BEFORE the
-!               N-C^alpha bond relatively to the space-fixed system,
-!               not the moving set of Phi_1.
-!
-! CALLS:    esolan, gdtsol
-! ......................................................................
+c ......................................................................
+c PURPOSE:  derivatives of solvatation energy vs. internal variables for
+c           molecule 'nml'
+c
+c  NB: if the unit axis for an internal variable coincides with a
+c      global axis (i.e. for torsion or bond length variation round
+c      or along 'xrfax', respectively, and bd. angle var. round
+c      'zrfax'): VdW & 14 interaction partners of moving set atoms
+c      should be used for calculation, instead of the mov. sets,
+c      with opposite sign.
+c
+c      Example: By the the way the molecule-fixed system is set up,
+c               changes in Phi_1 affect atomic positions BEFORE the
+c               N-C^alpha bond relatively to the space-fixed system,
+c               not the moving set of Phi_1.
+c
+c CALLS:    esolan, gdtsol
+c ......................................................................
 
       include 'INCL.H'
-      double precision xfvr, yfvr, zfvr, xfrvr, yfrvr, zfrvr, esolan, dx
-      double precision dy, dz, xfat, yfat, zfat, xi, yi, zi, xfrat
-      double precision yfrat, zfrat, xb, yb, zb, ex, ey, ez, xfiv, yfiv
-      double precision zfiv, xfriv, yfriv, zfriv
-
-      integer ntlvr, nml, ix2, ifivr, ilavr, i, i1s, i1a, io, iv, it, ia
-      integer ib, i2s, ims, i1, i2, i2a, iad, lad, ivw, j, i14
 
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
-     &          xfrat(mxat),yfrat(mxat),zfrat(mxat),
-
-     &          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
-     &          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
+     #          xfrat(mxat),yfrat(mxat),zfrat(mxat),
+
+     #          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
+     #          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
 
       logical   lnb
@@ -51,6 +44,6 @@
       ntlvr=nvrml(nml)
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' opesol> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' opesol> No variables defined in molecule #',nml
         return
       endif
@@ -73,5 +66,5 @@
       eysl = esolan(nml)
 
-! -------------------------------------------------- f & g for atoms
+c -------------------------------------------------- f & g for atoms
 
       do i=iatrs1(irsml1(nml)),iatrs2(irsml2(nml))
@@ -224,6 +217,6 @@
 
           gdeysl(iv)= (ey*zb-ez*yb)*xfiv+(ez*xb-ex*zb)*yfiv+
-     &                 (ex*yb-ey*xb)*zfiv
-     &                +ex*xfriv+ey*yfriv+ez*zfriv
+     #                 (ex*yb-ey*xb)*zfiv
+     #                +ex*xfriv+ey*yfriv+ez*zfriv
 
         elseif (it.eq.1) then         ! b.length
@@ -239,22 +232,17 @@
       return
       end
-! *****************************
+c *****************************
       subroutine gdtsol(nml,iv)
 
-! .....................................................................
-! PURPOSE: calculate partial derivative of solvation energy for molecule
-!          'nml' vs. variable 'iv' NUMERICALLY and compare with
-!          its value obtained analytically
-!
-! CALLS:  setvar, esolan
-! .....................................................................
+c .....................................................................
+c PURPOSE: calculate partial derivative of solvation energy for molecule
+c          'nml' vs. variable 'iv' NUMERICALLY and compare with
+c          its value obtained analytically
+c
+c CALLS:  setvar, esolan
+c .....................................................................
 
       include 'INCL.H'
 
-      double precision del, vlvrx, ovr, eynw, esolan, gda, gdn
-
-      integer i, it, iv, nml
-
-
       parameter (del=1.d-6)
 
@@ -262,5 +250,5 @@
 
 
-! ____________________________ get & save values of variables
+c ____________________________ get & save values of variables
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
         it=ityvr(i)  ! type
@@ -283,8 +271,8 @@
       gdn=(eynw-eysl)/del    ! numerical derivative
 
-      write (logString, '(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
-     &       abs(gda-gdn),')'
-
-! _________________________ restore vars
+      write (*,'(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
+     #       abs(gda-gdn),')'
+
+c _________________________ restore vars
       vlvrx(iv)=ovr
 
Index: outpdb.f
===================================================================
--- outpdb.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ outpdb.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,32 +1,27 @@
-! **************************************************************
-!
-! This file contains the subroutines: outpdb
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: outpdb
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine outpdb(nml,fileName)
 
-! ..............................................
-!  PURPOSE:  write coordinates of molecule 'nml'
-!            in PDB-format (with specialities for hydrogens)
-!
-!  INPUT:    nml - number of molecule
-!
-!            npdb - unit of output-file
-!
-!  CALLS:    toupst,iendst
-! ..............................................
+c ..............................................
+c  PURPOSE:  write coordinates of molecule 'nml'
+c            in PDB-format (with specialities for hydrogens)
+c
+c  INPUT:    nml - number of molecule
+c
+c            npdb - unit of output-file
+c
+c  CALLS:    toupst,iendst
+c ..............................................
 
       include 'INCL.H'
-
-      double precision occ, bva
-
-      integer i0, i9, nml, im1, im2, ibegst, iout, iat, iml, irs, ifirs
-      integer ifiat, nrs, i, j, iendst, nfi, ibd, jj, nbd
 
       dimension ibd(4)
@@ -43,5 +38,5 @@
 
       if (nml.lt.0.or.nml.gt.ntlml) then
-        write (logString, *) ' outpdb>  No such molecule #',nml,' !'
+        write(*,*) ' outpdb>  No such molecule #',nml,' !'
         return
       elseif (nml.gt.0) then
@@ -95,5 +90,5 @@
               j = iendst(atnm)
               if (ichar(atnm(j:j)).ge.i0.and.
-     &            ichar(atnm(j:j)).le.i9) then
+     #            ichar(atnm(j:j)).le.i9) then
                 atnm(1:1)=atnm(j:j)
                 atnm(j:j)=' '
@@ -104,8 +99,8 @@
             call toupst(atnm)
             call toupst(res)
-
+ 
             linout = ' '
             write (linout,1) linty,iat,atnm,res(1:3),chid,irs,cdin,
-     &                       xat(i),yat(i),zat(i),occ,bva
+     #                       xat(i),yat(i),zat(i),occ,bva
             write(iout,'(a80)') linout
 
@@ -120,6 +115,6 @@
       enddo  ! molecules
 
-! ______________________________________ connectivity
-!                                        ( only bonds i-j with i<j)
+c ______________________________________ connectivity
+c                                        ( only bonds i-j with i<j)
 
       do iml = im1,im2
@@ -175,5 +170,5 @@
       write (linout,'(a3)') 'END'
       write(iout,'(a80)') linout
-
+      
       close(iout)
 
